.\"	$NetBSD: ypbind.8,v 1.17 2005/12/03 11:24:02 wiz Exp $
.\"
.\" Copyright (c) 1996 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" This code is derived from software contributed to The NetBSD Foundation
.\" by Jason R. Thorpe.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd February 26, 2005
.Dt YPBIND 8
.Os
.Sh NAME
.Nm ypbind
.Nd create and maintain a binding to a NIS server
.Sh SYNOPSIS
.Nm
.Op Fl broadcast
.Op Fl insecure
.Op Fl ypset
.Op Fl ypsetme
.Sh DESCRIPTION
.Nm
finds the server for a particular
.Tn NIS
domain and stores information about it
in a
.Dq binding file .
This binding information includes the IP address of the server associated with
that particular domain and which port the server is using.
This information is stored in the directory
.Pa /var/yp/binding
in a file named with the convention
.Pa \*[Lt]domain\*[Gt].version ,
where
.Aq domain
is the relevant domain.
The
.Tn NIS
system only supplies information on version 2.
.Pp
If
.Nm
is started without the
.Fl broadcast
option,
.Nm
steps through the list of
.Tn NIS
servers specified in
.Pa /var/yp/binding/\*[Lt]domain\*[Gt].ypservers
and contacts each in turn attempting to bind to that server.
It is strongly recommended that these hosts are in the local
hosts file, and that hosts are looked up in local files before
the
.Tn NIS
hosts map.
.Pp
If
.Nm
is started with the
.Fl broadcast
option, or if
.Pa /var/yp/binding/\*[Lt]domain\*[Gt].ypservers
does not exist,
.Nm
broadcasts to find a process willing to serve maps for the
client's domain.
.Pp
Once a binding is established,
.Nm
maintains this binding by periodically communicating with the server to which
it is bound.
If the binding is somehow lost, e.g by server reboot,
.Nm
marks the domain as unbound and attempts to re-establish the binding.
When the binding is once again successful,
.Nm
marks the domain as bound and resumes its periodic check.
.Pp
The options are as follows:
.Bl -tag -width "-broadcast"
.It Fl broadcast
sends a broadcast requesting a
.Tn NIS
server to which to bind.
.It Fl insecure
do not require that the server is running on a reserved port.
This may be necessary when connecting to
.Tn SunOS 3.x
or
.Tn ULTRIX
.Tn NIS
servers.
.It Fl ypset
.Xr ypset 8
may be used to change the server to which a domain is bound.
.It Fl ypsetme
.Xr ypset 8
may be used only from this machine to change the server
to which a domain is bound.
.El
.Pp
The
.Fl broadcast
.Fl ypset ,
and
.Fl ypsetme ,
options are inherently insecure and should be avoided.
.Sh FILES
.Pa /var/yp/binding/\*[Lt]domain\*[Gt].version
- binding file for \*[Lt]domain\*[Gt].
.Pa /var/yp/binding/\*[Lt]domain\*[Gt].ypservers
- explicit list of servers to bind to for \*[Lt]domain\*[Gt].
.Sh DIAGNOSTICS
Messages are sent to
.Xr syslogd 8
using the
.Dv LOG_DAEMON
facility.
.Sh SEE ALSO
.Xr domainname 1 ,
.Xr ypcat 1 ,
.Xr ypmatch 1 ,
.Xr ypwhich 1 ,
.Xr nis 8 ,
.Xr yppoll 8 ,
.Xr ypset 8
.Sh AUTHORS
This version of
.Nm
was originally implemented by Theo de Raadt.
The ypservers support was implemented by Luke Mewburn.
